import { Response as KoaResponse } from '@eggjs/core';
export default class Response extends KoaResponse {
    /**
     * Get or set a real status code.
     *
     * e.g.: Using 302 status redirect to the global error page
     * instead of show current 500 status page.
     * And access log should save 500 not 302,
     * then the `realStatus` can help us find out the real status code.
     * @member {Number} Response#realStatus
     * @return {Number} The status code to be set.
     */
    get realStatus(): number;
    /**
     * Set a real status code.
     *
     * e.g.: Using 302 status redirect to the global error page
     * instead of show current 500 status page.
     * And access log should save 500 not 302,
     * then the `realStatus` can help us find out the real status code.
     * @member {Number} Response#realStatus
     * @param {Number} status The status code to be set.
     */
    set realStatus(status: number);
}
declare module '@eggjs/core' {
    interface Response {
        get realStatus(): number;
        set realStatus(status: number);
    }
}
