import type { EggContext } from '../egg.js';
export declare class BaseContextLogger {
    #private;
    /**
     * @class
     * @param {Context} ctx - context instance
     * @param {String} pathName - class path name
     * @since 1.0.0
     */
    constructor(ctx: EggContext, pathName?: string);
    protected _log(method: 'info' | 'warn' | 'error' | 'debug', args: any[]): void;
    /**
     * @member {Function} BaseContextLogger#debug
     * @param {...any} args - log msg
     * @since 1.2.0
     */
    debug(...args: any[]): void;
    /**
     * @member {Function} BaseContextLogger#info
     * @param {...any} args - log msg
     * @since 1.2.0
     */
    info(...args: any[]): void;
    /**
     * @member {Function} BaseContextLogger#warn
     * @param {...any} args - log msg
     * @since 1.2.0
     */
    warn(...args: any[]): void;
    /**
     * @member {Function} BaseContextLogger#error
     * @param {...any} args - log msg
     * @since 1.2.0
     */
    error(...args: any[]): void;
}
