import type { Context, EggApplicationCore } from '../egg.js';
import type { HttpClientRequestURL, HttpClientRequestOptions } from './httpclient.js';
export declare class ContextHttpClient {
    ctx: Context;
    app: EggApplicationCore;
    constructor(ctx: Context);
    /**
     * http request helper base on {@link HttpClient}, it will auto save httpclient log.
     * Keep the same api with {@link Application#curl}.
     *
     * @param {String|Object} url - request url address.
     * @param {Object} [options] - options for request.
     */
    curl<T = any>(url: HttpClientRequestURL, options?: HttpClientRequestOptions): Promise<import("./httpclient.js").HttpClientResponse<T>>;
    request<T = any>(url: HttpClientRequestURL, options?: HttpClientRequestOptions): Promise<import("./httpclient.js").HttpClientResponse<T>>;
}
