declare const _default: {
    /**
     * app global Error Handling
     * @member {Object} Plugin#onerror
     * @property {Boolean} enable - `true` by default
     */
    onerror: {
        enable: boolean;
        package: string;
    };
    /**
     * session
     * @member {Object} Plugin#session
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    session: {
        enable: boolean;
        package: string;
    };
    /**
     * i18n
     * @member {Object} Plugin#i18n
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    i18n: {
        enable: boolean;
        package: string;
    };
    /**
     * file and dir watcher
     * @member {Object} Plugin#watcher
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    watcher: {
        enable: boolean;
        package: string;
    };
    /**
     * multipart
     * @member {Object} Plugin#multipart
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    multipart: {
        enable: boolean;
        package: string;
    };
    /**
     * security middlewares and extends
     * @member {Object} Plugin#security
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    security: {
        enable: boolean;
        package: string;
    };
    /**
     * local development helper
     * @member {Object} Plugin#development
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    development: {
        enable: boolean;
        package: string;
    };
    /**
     * logger file rotator
     * @member {Object} Plugin#logrotator
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    logrotator: {
        enable: boolean;
        package: string;
    };
    /**
     * schedule tasks
     * @member {Object} Plugin#schedule
     * @property {Boolean} enable - `true` by default
     * @since 2.7.0
     */
    schedule: {
        enable: boolean;
        package: string;
    };
    /**
     * `app/public` dir static serve
     * @member {Object} Plugin#static
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    static: {
        enable: boolean;
        package: string;
    };
    /**
     * jsonp support for egg
     * @member {Function} Plugin#jsonp
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    jsonp: {
        enable: boolean;
        package: string;
    };
    /**
     * view plugin
     * @member {Function} Plugin#view
     * @property {Boolean} enable - `true` by default
     * @since 1.0.0
     */
    view: {
        enable: boolean;
        package: string;
    };
};
export default _default;
