import { Agent } from './agent.js';
import { Application } from './application.js';
import { EggPlugin } from './types.js';
export interface StartEggOptions {
    /** specify framework that can be absolute path or npm package */
    framework?: string;
    /** directory of application, default to `process.cwd()` */
    baseDir?: string;
    /** ignore single process mode warning */
    ignoreWarning?: boolean;
    mode?: 'single';
    env?: string;
    plugins?: EggPlugin;
}
export interface SingleModeApplication extends Application {
    agent: SingleModeAgent;
}
export interface SingleModeAgent extends Agent {
    app: SingleModeApplication;
}
/**
 * Start egg with single process
 */
export declare function startEgg(options?: StartEggOptions): Promise<SingleModeApplication>;
